Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Interface FloatList

All Superinterfaces:
  FloatCollection

All Known Implementing Classes:
  org.apache.commons.collections.primitives.adapters.AbstractListFloatList, ArrayFloatList, org.apache.commons.collections.primitives.decorators.BaseProxyFloatList, RandomAccessFloatList, RandomAccessFloatList.RandomAccessFloatSubList

public interface FloatList
extends FloatCollection

An ordered collection of `float` values.

Since:
  Commons Primitives 1.0
Version:
  $Revision: 1.3 $ $Date: 2003/10/16 20:49:36 $
Author:
  Rodney Waldhoff
See Also:
  `FloatListList`, `ListFloatList`

Method Summary
`boolean` | `add(float element)` Appends the specified element to the end of me (optional operation).
`void` | `add(int index, float element)` Inserts the specified element at the specified position (optional operation).
`boolean` | `addAll(int index, FloatCollection collection)` Inserts all of the elements in the specified collection into me, at the specified position (optional operation).
`boolean` | `equals(Object that)` Returns `true` iff that is an `FloatList` that contains the same elements in the same order as me.
`float` | `get(int index)` Returns the value of the element at the specified position within me.
`int` | `hashCode()` Returns my hash code.
`int` | `indexOf(float element)` Returns the index of the first occurrence of the specified element within me, or `-1` if I do not contain the element.
`FloatIterator` | `iterator()` Returns an `iterator` over all my elements, in the appropriate sequence.
`int` | `lastIndexOf(float element)` Returns the index of the last occurrence of the specified element within me, or -1 if I do not contain the element.
`FloatListIterator` | `listIterator()` Returns a `bidirectional iterator` over all my elements, in the appropriate sequence.
`FloatListIterator` | `listIterator(int index)` Returns a `bidirectional iterator` over all my elements, in the appropriate sequence, starting at the specified position.
`float` | `removeElementAt(int index)` Removes the element at the specified position in (optional operation).
`float` | `set(int index, float element)` Replaces the element at the specified position in me with the specified element (optional operation).
`FloatList` | `subList(int fromIndex, int toIndex)` Returns a view of the elements within me between the specified fromIndex, inclusive, and toIndex, exclusive.

Methods inherited from interface org.apache.commons.collections.primitives.FloatCollection
`addAll, clear, contains, containsAll, isEmpty, removeAll, removeElement, retainAll, size, toArray, toArray`

Method Detail

### add

    public boolean add(float element)

  Appends the specified element to the end of me (optional operation). Returns `true` iff I changed as a result of this call.

  If a collection refuses to add the specified element for any reason other than that it already contains the element, it must throw an exception (rather than simply returning `false`). This preserves the invariant that a collection always contains the specified element after this call returns.

  Specified by:
    `add` in interface `FloatCollection`
  Parameters:
    `element` - the value whose presence within me is to be ensured
  Returns:
    `true` iff I changed as a result of this call
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IllegalArgumentException` - may be thrown if some aspect of the specified element prevents it from being added to me

### add

    public void add(int index,
                    float element)

  Inserts the specified element at the specified position (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right, increasing their indices.

  Parameters:
    `index` - the index at which to insert the element
    `element` - the value to insert
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IllegalArgumentException` - if some aspect of the specified element prevents it from being added to me
    `IndexOutOfBoundsException` - if the specified index is out of range

### addAll

    public boolean addAll(int index,
                          FloatCollection collection)

  Inserts all of the elements in the specified collection into me, at the specified position (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right, increasing their indices. The new elements will appear in the order that they are returned by the given collection's `iterator`.

  Parameters:
    `index` - the index at which to insert the first element from the specified collection
    `collection` - the `FloatCollection` of elements to add
  Returns:
    `true` iff I changed as a result of this call
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IndexOutOfBoundsException` - if the specified index is out of range

### equals

    public boolean equals(Object that)

  Returns `true` iff that is an `FloatList` that contains the same elements in the same order as me. In other words, returns `true` iff that is an `FloatList` that has the same `size` as me, and for which the elements returned by its `iterator` are equal (`==`) to the corresponding elements within me. (This contract ensures that this method works properly across different implementations of the `FloatList` interface.)

  Parameters:
    `that` - the object to compare to me
  Returns:
    `true` iff that is an `FloatList` that contains the same elements in the same order as me

### get

    public float get(int index)

  Returns the value of the element at the specified position within me.

  Parameters:
    `index` - the index of the element to return
  Returns:
    the value of the element at the specified position
  Throws:
    `IndexOutOfBoundsException` - if the specified index is out of range

### hashCode

    public int hashCode()

  Returns my hash code.

  The hash code of an `FloatList` is defined to be the result of the following calculation:

       int hash = 1;
       for(FloatIterator iter = iterator(); iter.hasNext(); ) {
         float value = iter.next();
         hash = 31*hash + (int)(value ^ (value >>> 32));
       }

  This contract ensures that this method is consistent with `equals` and with the `hashCode` method of a `List` of `Float`s.

  Returns:
    my hash code

### indexOf

    public int indexOf(float element)

  Returns the index of the first occurrence of the specified element within me, or `-1` if I do not contain the element.

  Parameters:
    `element` - the element to search for
  Returns:
    the smallest index of an element matching the specified value, or `-1` if no such matching element can be found

### iterator

    public FloatIterator iterator()

  Returns an `iterator` over all my elements, in the appropriate sequence.

  Specified by:
    `iterator` in interface `FloatCollection`
  Returns:
    an `iterator` over all my elements.

### lastIndexOf

    public int lastIndexOf(float element)

  Returns the index of the last occurrence of the specified element within me, or -1 if I do not contain the element.

  Parameters:
    `element` - the element to search for
  Returns:
    the largest index of an element matching the specified value, or `-1` if no such matching element can be found

### listIterator

    public FloatListIterator listIterator()

  Returns a `bidirectional iterator` over all my elements, in the appropriate sequence.

### listIterator

    public FloatListIterator listIterator(int index)

  Returns a `bidirectional iterator` over all my elements, in the appropriate sequence, starting at the specified position. The specified index indicates the first element that would be returned by an initial call to the `next` method. An initial call to the `previous` method would return the element with the specified index minus one.

  Throws:
    `IndexOutOfBoundsException` - if the specified index is out of range

### removeElementAt

    public float removeElementAt(int index)

  Removes the element at the specified position in (optional operation). Any subsequent elements are shifted to the left, subtracting one from their indices. Returns the element that was removed.

  Parameters:
    `index` - the index of the element to remove
  Returns:
    the value of the element that was removed
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IndexOutOfBoundsException` - if the specified index is out of range

### set

    public float set(int index,
                     float element)

  Replaces the element at the specified position in me with the specified element (optional operation).

  Parameters:
    `index` - the index of the element to change
    `element` - the value to be stored at the specified position
  Returns:
    the value previously stored at the specified position
  Throws:
    `UnsupportedOperationException` - when this operation is not supported
    `IndexOutOfBoundsException` - if the specified index is out of range

### subList

    public FloatList subList(int fromIndex,
                             int toIndex)

  Returns a view of the elements within me between the specified fromIndex, inclusive, and toIndex, exclusive. The returned `FloatList` is backed by me, so that any changes in the returned list are reflected in me, and vice-versa. The returned list supports all of the optional operations that I support.

  Note that when `fromIndex == toIndex`, the returned list is initially empty, and when `fromIndex == 0 && toIndex == `size()`` the returned list is my "improper" sublist, containing all my elements.

  The semantics of the returned list become undefined if I am structurally modified in any way other than via the returned list.

  Parameters:
    `fromIndex` - the smallest index (inclusive) in me that appears in the returned list
    `toIndex` - the largest index (exclusive) in me that appears in the returned list
  Returns:
    a view of this list from fromIndex (inclusive) to toIndex (exclusive)
  Throws:
    `IndexOutOfBoundsException` - if either specified index is out of range

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.